# Tarfile created using git 		
# git clone git://gitorious.org/meego-os-base/uxlaunch.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}.tar.bz2 		
%define gitdate 20100416 		
%define git_version 2140401
%define tarfile %{name}-%{version}.tar.bz2 		

Name:           uxlaunch
Version:        0.49
Release:        1%{?dist}
Summary:        A small and quick interface to start the Moblin Desktop

Group:          User Interface/X
License:        GPLv2
URL:            http://www.moblin.org/
Source0:        %{tarfile}
Patch0:         uxlaunch-fixppc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ConsoleKit-devel
BuildRequires: dbus-glib-devel
BuildRequires: libXau-devel
BuildRequires: pam-devel

Requires: dbus

%description
An ultra-lightweight, very cut down gdm and gnome-session replacement 
designed to get the Moblin Desktop running as quick as possible.

%prep
%setup -q
%patch0 -p1 -b .fixppc

# make build verbose
sed -i 's!^\(\t\+\)@!\1!' Makefile

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# Remove execute bit from config and man files
chmod -x %{buildroot}/%{_sysconfdir}/sysconfig/uxlaunch
chmod -x %{buildroot}/%{_datadir}/man/man1/uxlaunch*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/uxlaunch
%{_sbindir}/uxlaunch
%doc %{_datadir}/man/man1/uxlaunch.1.gz

%changelog
* Fri Apr 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.49-1
- New upstream 0.49 release

* Wed Mar 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.47-1
- New upstream 0.47 release

* Mon Mar 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.46-1
- New upstream 0.46 release

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.44-1
- New upstream 0.44 release

* Sun Feb 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.41-1
- New upstream 0.41 release

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.40-1
- New upstream 0.40 release

* Thu Feb 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.39-1
- New upstream 0.39 release

* Tue Feb  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.37-1
- New upstream 0.37 release

* Fri Jan 22 2010 Peter Robinson <pbrobinson@gmail.com> 0.35-1
- New upstream 0.35 release

* Fri Jan 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.34-1
- New upstream 0.34 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.30-1
- New upstream 0.30 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.29-1
- New upstream 0.29 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.28-1
- New upstream 0.28 release, updates from review

* Tue Sep  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.23-1
- Initial packaging
